import { VssueAPI } from 'vssue';
import { ResponseUser, ResponseIssue, ResponseComment, ResponseReaction, Reactions, Comment } from './types';
export declare function normalizeUser(user: ResponseUser): VssueAPI.User;
export declare function normalizeIssue(issue: ResponseIssue): VssueAPI.Issue;
export declare function normalizeReactions(reactions: ResponseReaction[]): Reactions;
export declare function normalizeComment(comment: ResponseComment): Comment;
export declare function mapReactionName(reaction: 'heart' | 'like' | 'unlike'): string;
declare const _default: {
    normalizeUser: typeof normalizeUser;
    normalizeIssue: typeof normalizeIssue;
    normalizeComment: typeof normalizeComment;
    normalizeReactions: typeof normalizeReactions;
    mapReactionName: typeof mapReactionName;
};
export default _default;
